DPCURV(3NCARG)

NAME
DPCURV - Used to draw a complete curve defined by a sequence of points in the user coordinate system.

SYNOPSIS
CALL DPCURV (XCPU,YCPU,NPTS)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_dpcurv (float *xcpu, float *ycpu, int npts);

DESCRIPTION

XCPU
    (an input array of type REAL) specifies the X coordinates of points in the user coordinate system defining a curve to be drawn.

YCPU
    (an input array of type REAL) specifies the Y coordinates of points in the user coordinate system defining a curve to be drawn.

NPTS
    (an input expression of type INTEGER) specifies the number of points defining the curve.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
The FORTRAN statement "CALL DPCURV(XCPU,YCPU,NPTS)" draws a complete curve by connecting the point (XCPU(1),YCPU(1)) to the point (XCPU(2),YCPU(2)), connecting that point to the point (XCPU(3),YCPU(3)), and so on, through the last point, (XCPU(NPTS),YCPU(NPTS)), in a manner described by the current values of the internal parameters of DASHPACK.

DPCURV maps the input coordinates to the fractional system and then passes them on to lower-level routines. If smoothing is turned off, DPCURV calls DPDRAW; if smoothing is turned on, it calls DPSMTH.

EXAMPLES
Use the ncargex command to see the following relevant examples: tdshpk.

ACCESS
To use DPCURV or c_dpcurv, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: dashpack, dashpack_params, dpdraw, dpfrst, dpgetc, dpgeti, dpgetr, dplast, dpline, dpsetc, dpseti, dpsetr, dpsmth, dpvect, ncarg_cbind.

Hardcopy: None.

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.